<template>
  <div class="grid gap-4 sm:flex flex-nowrap justify-between w-full flex-grow">
    <div class="grid gap-2">
      <p class="active-title text-black">{{ title }}</p>
      <div class="flex flex-wrap items-start gap-2 relative">
        <span class="text-gray">{{ subTitle }}</span>
        <p class="font-black mb-1" :class="getDiffColor(diff)">
          {{ diff }}
        </p>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { getDiffColor } from "@/utils";

export default Vue.extend({
  props: {
    title: String,
    subTitle: String,
    diff: String
  },
  methods: {
    getDiffColor
  }
});
</script>
